<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$base_url = $request->getBaseUrl();
define("BASE_URL", $request->getBaseUrl() );

function _construitDetailCategories($categorie_array, $level=0, $id_parent=null ) {
  
  $level_initial = $level ;
  $id_racine = $id_parent ;
  
  $tr_class = (!empty($id_parent) ) ? 'detail_'.$id_parent : '' ; 
  $tr_style = (!empty($id_parent) ) ? 'display:none; ' : '' ;
  $categorie_indent = (!empty($id_parent) ) ? '<span class="glyphicon glyphicon-arrow-right"> &nbsp; </span>' : '' ;
  $identation = (15 * $level ) ;
  $td_style = (!empty($id_parent) ) ? 'padding-left:'.$identation.'px ; ' : '' ;
  
  foreach($categorie_array as $categorie ) {
    $li_class = '';
    $i_class = '' ;
    $a_class = '';
    
    $categorie_id =  $categorie['id'];
    $categorie_object = $categorie['categorie_object'];
    $categorie_type = $categorie['categorie_type'];
    $categorie_key = $categorie['categorie_key'];
    $categorie_value = $categorie['categorie_value']; 
    $system = $categorie['system'];
    $system_value = ( $system == 1 ) ? 'Oui' : 'Non' ; 
    $visible = $categorie['visible'];
    $ordre = $categorie['ordre']; 
    $description = $categorie['description'];
    
    $add_params = 'categorie_object='.$categorie_object.'&categorie_type='.$categorie_type ;
    
    $sous_categories = isset($categorie['sous_categories']) ? $categorie['sous_categories'] : null ;
    if(!empty($sous_categories)  ){
      $i_class = 'glyphicon glyphicon-plus-sign' ;
    }
    $title_font_size = ( $level == 0) ? '12pt' : '10pt' ;
    $tr_id = (!empty($id_racine) ) ? $id_racine.'_'.$categorie_id : $categorie_id ;    
    ?>
      <tr 
        id="<?php echo $tr_id ; ?>" 
        class="<?php echo $tr_class ; ?>" 
        style="<?php echo $tr_style ; ?>"
      >
        <td>
          <i id="<?php echo $categorie_id ; ?>" class="<?php echo $i_class ; ?>" style="cursor:pointer;"></i>
        </td>
  			<td><span style="<?php echo $td_style ; ?>"><?php echo $categorie_indent.$categorie_value ; ?></span></td>
  			<td><?php echo $categorie_object ; ?></td>
        <td><?php echo $categorie_type; ?></td>
  			<td><?php echo $categorie_key ; ?></td>
  			<td>
      <?php if (!empty($description) ) { ?>
          <span
            id="description_<?php echo $categorie_id ; ?>"
            class="glyphicon glyphicon-info-sign"
            data-toggle="popover"
            data-container="body"
            data-content="<?php echo $description ; ?>"            
            data-placement="right"
            style="cursor:pointer;"
          ></span>        
      <?php } ?>
        </td>
  			<td><?php echo $ordre; ?></td>
        <td>
        <?php if ($system == 0 ){ ?>
          <i class="glyphicon glyphicon-ban-circle "title="Cat&eacute;gorie Syst&egrave;me" ></i>
        <?php } else { ?>
          <i class="glyphicon glyphicon-ok-circle "title="Cat&eacute;gorie Syst&egrave;me" ></i>  
        <?php } ?>        
        </td>
        <td>
        <?php if ($visible == 0 ){ ?>
          <a
            onclick="return window.confirm('Etes vous sùr de vouloir publier les calculs de cette date ?');" 
            href="<?php echo BASE_URL.'/Fsn_Categorie/publish/'.$categorie_id ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/unvalid.png" alt="Publier" title="Publier" />  
          </a>
          <?php } else { ?>
          <a
            onclick="return window.confirm('Etes vous sùr de vouloir dépublier les calculs de cette date ?');" 
            href="<?php echo BASE_URL.'/Fsn_Categorie/publish/'.$categorie_id ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/valid.png" alt="Depublier" title="Depublier" />  
          </a>
        <?php } ?>        
        </td>  			
  			<td>
          <a 
            onclick="return window.confirm('Etes vous sùr de vouloir modifier cet enregistrement ?');"
            href="<?php echo BASE_URL.'/Fsn_Categorie/edit/'.$categorie_id ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/edit.png" alt="Editer" title="Editer"  />
          </a>
        </td>            
        <td>
          <a 
            href="<?php echo  BASE_URL.'/Fsn_Categorie/add/?'.$add_params ; ?>">
            <img src="<?php echo BASE_URL; ?>/images/add.png" alt="Ajouter" title="Ajouter"  />
          </a>
        </td>
  		</tr>
      <?php  
        if(!empty($sous_categories)  ){
          $level = $level_initial + 1 ;
          $id_parent = (!empty($id_racine) ) ? $id_racine.'_'.$categorie_id : $categorie_id ;  
         _construitDetailCategories($sous_categories, $level, $id_parent) ;
          
        } 
      
      //}
      
      
  }

}

/*
print '<pre>' ;
print_r($categories);
print '</pre>' ; 
*/

?>

<script type='text/javascript'>//<![CDATA[ 

  var show_detail = false ;

  $(window).load(function(){

  $("#table_id tr").on('click', function(event) {
    myvar = $(this);
		var id_categorie = myvar.attr('id');
    var glyphicon = $(this).children().find('i#'+id_categorie+'.glyphicon') ;
		if (show_detail == true)
		{
			$("[class^='detail_"+id_categorie+"']").hide();
      glyphicon.attr('title', 'Déplier cette Catégorie').addClass('glyphicon-plus-sign').removeClass('glyphicon-minus-sign');      
			show_detail = false;
		}
		else
		{
			$('.detail_'+id_categorie).show();
      // $("[class^='detail_"+id_categorie+"']").show();
      glyphicon.attr('title', 'Replier cette Catégorie').addClass('glyphicon-minus-sign').removeClass('glyphicon-plus-sign');
			show_detail = true;
		}
	});
  $(function () {
    $('[data-toggle="popover"]').popover()
  })

});//]]>  

</script>
<div class="table-responsive">
  <div id="optiontools">
    <div style="float:right;padding-bottom:10px;padding-top:10px" >
      <span><a href="<?php echo $this->getRequest('Fsn_Categorie', 'thesaurus',array('xml') ); ?>" class="btn btn-primary">Export Thesaurus</a></span>
    </div>
  </div>

  <div id="categories" style="padding:10px;">
  <h2 class="page-header">Cat&eacute;gories </h2>
    <table class="table table-striped table-bordered table-hover table-condensed table-responsive" id="table_id" >
    	<caption>Fsn_Categorie</caption>
  	<thead>
  		<tr>
  			<td></td>
  			<td>Cat&eacute;gories</td>
        <td>Object</td>
        <td>Type</td>
  			<td>Key</td>  			
  			<td>Description</td>
        <td>Ordre</td>
        <td>System</td>
        <td>Visible</td>
  			<td colspan="2">#</td>
  		</tr>
  	</thead>
  	<tbody>
    <?php _construitDetailCategories($categories, 0) ; ?>
    </tbody>
    </table>
    
  </div>

</div>